package siprp.database.cayenne.objects;

import com.evolute.utils.strings.UnicodeChecker;

import siprp.database.cayenne.objects.auto._TrabalhadoresConsultasDatasObservacoes;

public class TrabalhadoresConsultasDatasObservacoes extends _TrabalhadoresConsultasDatasObservacoes {
	private static final long serialVersionUID = 1L;
	
	private String name = null;
	
	private String convertedName = null;
	
	@Override
	public String toString()
	{
		return getObservacao();
	}
	
	@Override
	public String getObservacao()
	{
		String currentName = super.getObservacao();
		if( name == null || !name.equals( currentName ))
		{
			name = currentName;
			convertedName = null;
		}
		return convertName();
	}
	
	@Override
	public void setObservacao( String nome )
	{
		super.setObservacao( UnicodeChecker.parseToUnicode( name ) );
		getObservacao();
	}

	private String convertName()
	{
		if( name == null )
		{
			convertedName = null;
		}
		else
		{
			convertedName = UnicodeChecker.parseFromUnicode( name );
		}
		return convertedName;
	}


}



